<?php
// *******************************************************************
// Title          udde Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X/Joomla 1.0.0
// Author         Benjamin Zweifel
// Version        0.5
// as of          2005/12/09
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeIM comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                YOU ARE NOT REQUIRED TO KEEP COPYRIGHT NOTICES IN
//                THE HTML OUTPUT OF THIS SCRIPT. YOU ARE NOT ALLOWED
//                TO REMOVE COPYRIGHT NOTICES FROM THE SOURCE CODE.
// *******************************************************************
// This script contains functions for the blocking feature
// *******************************************************************

// Don't allow direct linking

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function blockUserUdde($myself, $item_id, $recip) {
	global $config_blocksystem, $database;
	
	// is blocking system enabled?
	
	if(!$config_blocksystem) {
		$mosmsg=_UDDEIM_BLOCKSDISABLED;
		$redirecturl="index.php?option=com_uddeim&Itemid=".$item_id."&task=inbox";
		mosRedirect($redirecturl, $mosmsg);
	}

	// is this user already blocked?
	
	$sql="SELECT count(id) FROM #__uddeim_blocks WHERE blocker=".$myself." AND blocked=".$recip;
	$database->setQuery($sql);
	$isblocked=$database->loadResult();
	
	if($isblocked) {
		$redirecturl="index.php?option=com_uddeim&task=settings&Itemid=".$item_id;
		mosRedirect($redirecturl);			
	}
	
	$sql="SELECT gid FROM #__users WHERE id=".$recip;
	$database->setQuery($sql);
	$recip_gid=$database->loadResult();
	
	// if($recip_gid>23) { // JACL support
	if($recip_gid==24||$recip_gid==25) {	
		$mosmsg=_UDDEIM_CANTBLOCKADMINS;
		$redirecturl="index.php?option=com_uddeim&task=inbox&Itemid=".$item_id;
		mosRedirect($redirecturl, $mosmsg);	
	}
	
	$sql="INSERT INTO #__uddeim_blocks (blocker, blocked) VALUES (".$myself.",".$recip.")";
	$database->setQuery($sql);
	if (!$database->query()) {
		die("SQL error when attempting to save a message" . $database->stderr(true));
	}	
	
	// call block plugin if it exists
	
	$plugin='components/com_uddeim/block.plugin.php';
	$pluginactionflag="block";
	
	if (file_exists($plugin)) {
		include($plugin);
	}
	
	$redirecturl="index.php?option=com_uddeim&task=settings&Itemid=".$item_id;
	mosRedirect($redirecturl);	
}








function unblockUserUdde($myself, $item_id, $recip) {
	global $config_blocksystem, $database;
	if(!$config_blocksystem) {
		$mosmsg=_UDDEIM_BLOCKSDISABLED;
		$redirecturl="index.php?option=com_uddeim&Itemid=".$item_id."&task=inbox";
		mosRedirect($redirecturl, $mosmsg);
	}
	$sql="DELETE FROM #__uddeim_blocks WHERE blocker=".$myself." AND blocked=".$recip;
	$database->setQuery($sql);
	$queryresult = $database->query();
	
	// call block plugin if it exists
	
	$plugin='components/com_uddeim/block.plugin.php';
	$pluginactionflag="unblock";
	
	if (file_exists($plugin)) {
		include($plugin);
	}
	
	$redirecturl="index.php?option=com_uddeim&task=settings&Itemid=".$item_id;
	mosRedirect($redirecturl);		
}



?>