<?php
// *******************************************************************
// Title          uddeIM Instant Messages (uddeIM)
// Description    Instant Messages System for Mambo 4.5.X
// Author         Benjamin Zweifel
// Version        0.5b
// as of          2006/01/04
// Contact        uddeim@yahoo.com
// Copyright       by FMQ
// License        This is free software and you may redistribute it under the GPL.
//                uddeIM comes with absolutely no warranty. For details, see the license at
//                http://www.gnu.org/licenses/gpl.txt
//                YOU ARE NOT REQUIRED TO KEEP COPYRIGHT NOTICES IN
//                THE HTML OUTPUT OF THIS SCRIPT. YOU ARE NOT ALLOWED
//                TO REMOVE COPYRIGHT NOTICES FROM THE SOURCE CODE.
// *******************************************************************
// This is the install function script
// *******************************************************************

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function com_install() {
global $database, $mosConfig_lang, $mosConfig_locale, $mosConfig_sitename;

// set initial values

$config_version = '0.5';
$ReadMessagesLivespan = '36524';
$UnreadMessagesLivespan = '36524';
$TrashLivespan = '2';
$datumsformat = 'j M, H:i';
$ldatumsformat = 'j F Y, H:i';
$adminignitiononly = '1';
$uddeicons_onlinepic = '';
$uddeicons_offlinepic = '';
$uddeicons_readpic = '';
$uddeicons_unreadpic = '';
$uddeicons_modulenewmess = '';
$pmsimportdone = '';
$config_blockalert = '0';
$config_blocksystem = '0';
$config_allowemailnotify = '0';
$config_allowsysgm = '0';
$config_emailwithmessage = '0';
$config_emn_sendermail = 'webmaster';
$config_emn_sendername = 'Messaging';
$config_firstwordsinbox = '34';
$config_firstwordsmodule = '21';
$config_longwaitingdays = '75';
$config_longwaitingemail = '0';
$config_maxlength = '1200';
$config_showcblink = '1';
$config_showcbpic = '1';
$config_showonline = '1';
$config_sysm_username = 'System';
$config_allowarchive = '0';
$config_maxarchive = '100';
$config_allowcopytome = '1';
$config_trashoriginal = '1';
$config_perpage = '8';
$config_charset = 'ISO8859-1';
$config_mailcharset = 'ISO-8859-1';
$config_enabledownload = '0';
$config_userdirbox = '';
$config_inboxlimit = '0';
$config_showinboxlimit = '0';
$config_heaven = ''; // do not touch!
$config_allowpopup = ''; // do not touch!
$config_allowbb = '1';
$config_allowsmile = '1';
$config_showmenuicons = '1';
$config_showtitle = '';
$config_showconnex = '0';
$config_showsettingslink = '2';
$config_connex_listbox='';
$config_forgetmenotstart='';
$config_templatedir = 'monorange';
$config_showabout = '0';
$config_emailtrafficenabled = '0';
$config_getpiclink = '0';
$config_quotedivider= '__________';
$config_realnames='0';

// try to determine the best settings for uddeIM on this installation

// is uddeIM already installed and are messages in the archive?
$sql="SELECT count(id) FROM #__uddeim WHERE archived>0";
$database->setQuery($sql);
$archivedmessages=$database->loadResult();

if($archivedmessages) {
	$config_allowarchive = '1';
	$config_enabledownload = '1';	
} else {
	$config_allowarchive = '0';	
	$config_enabledownload = '1';		
}

switch ($mosConfig_lang) {
	case "germani":
	case "germanf":
	case "german":
		$datumsformat = 'j. M H:i';
		$ldatumsformat = 'j. F Y, H:i';
	default:
		$datumsformat = 'j M, H:i';
		$ldatumsformat = 'j F Y, H:i';
}

switch ($mosConfig_locale) {
	case "bg_BG":
	case "ru_RU":	
		$config_charset = 'Windows-1251';
		$config_mailcharset = 'Windows-1251';
	case "sr_YU":
		$config_charset = 'UTF-8';
		$config_mailcharset = 'UTF-8';
	default:
		$config_charset = 'ISO8859-1';
		$config_mailcharset = 'ISO-8859-1';	
}

// is CB installed?
if (file_exists("../components/com_comprofiler/comprofiler.php")) {
	$config_showcblink = '1';
	$config_showcbpic = '1';
	$config_showconnex = '1';
	// now look for the CB config file
	// if realnames are used in CB, use realnames in uddeIM as well
	if (file_exists("components/com_comprofiler/ue_config.php")) {
		include("components/com_comprofiler/ue_config.php");
		if ($ueConfig['name_format']=='1') {
			$config_realnames='1';
		}
	}
} else {
	$config_showcblink = '0';
	$config_showcbpic = '0';
	$config_showconnex = '0';
}

// Now save these settings

	$configdatei = "components/com_uddeim/uddeim_config.php";
	@chmod ($configdatei, 0766);
	$writetofile = is_writable($configdatei);
	if (!$writetofile) {
    	echo "<b><span style='color: red;'>Critical Error: Failed to write to configuration file.</span></b>";
	    return;
	}
  
	$cf="<?php\n";
	$cf.="\$config_version = '".$config_version."';\n";   	
	$cf.="\$ReadMessagesLivespan = '".$ReadMessagesLivespan."';\n";
	$cf.="\$UnreadMessagesLivespan = '".$UnreadMessagesLivespan."';\n";
	$cf.="\$TrashLivespan = '".$TrashLivespan."';\n";
	$cf.="\$datumsformat = '".$datumsformat."';\n";
	$cf.="\$ldatumsformat = '".$ldatumsformat."';\n";  
	$cf.="\$adminignitiononly = '".$adminignitiononly."';\n";  
	$cf.="\$uddeicons_onlinepic = '".$uddeicons_onlinepic."';\n";
	$cf.="\$uddeicons_offlinepic = '".$uddeicons_offlinepic."';\n";
	$cf.="\$uddeicons_readpic = '".$uddeicons_readpic."';\n";
	$cf.="\$uddeicons_unreadpic = '".$uddeicons_unreadpic."';\n";      
	$cf.="\$uddeicons_modulenewmess = '".$uddeicons_modulenewmess."';\n";      
	$cf.="\$pmsimportdone = '".$pmsimportdone."';\n";  
	$cf.="\$config_blockalert = '".$config_blockalert."';\n";  	
	$cf.="\$config_blocksystem = '".$config_blocksystem."';\n";  	
	$cf.="\$config_allowemailnotify = '".$config_allowemailnotify."';\n";   
	$cf.="\$config_allowsysgm = '".$config_allowsysgm."';\n";   
	$cf.="\$config_emailwithmessage = '".$config_emailwithmessage."';\n";   
	$cf.="\$config_emn_sendermail = '".$config_emn_sendermail."';\n";   
	$cf.="\$config_emn_sendername = '".$config_emn_sendername."';\n";  
	$cf.="\$config_firstwordsinbox = '".$config_firstwordsinbox."';\n";   
	$cf.="\$config_firstwordsmodule = '".$config_firstwordsmodule."';\n";   
	$cf.="\$config_longwaitingdays = '".$config_longwaitingdays."';\n";   
	$cf.="\$config_longwaitingemail = '".$config_longwaitingemail."';\n";  
	$cf.="\$config_emn_body_nomessage = '';\n";	
	$cf.="\$config_emn_body_withmessage = '';\n";	
	$cf.="\$config_emn_forgetmenot = '';\n";	
	$cf.="\$config_export_format = '';\n";				
	$cf.="\$config_maxlength = '".$config_maxlength."';\n";   
	$cf.="\$config_showcblink = '".$config_showcblink."';\n";   
	$cf.="\$config_showcbpic = '".$config_showcbpic."';\n";   
	$cf.="\$config_showonline = '".$config_showonline."';\n";   
	$cf.="\$config_sysm_username = '".$config_sysm_username."';\n";   	
	$cf.="\$config_allowarchive = '".$config_allowarchive."';\n";   
	$cf.="\$config_maxarchive = '".$config_maxarchive."';\n";  	
	$cf.="\$config_allowcopytome = '".$config_allowcopytome."';\n";  		
	$cf.="\$config_trashoriginal = '".$config_trashoriginal."';\n";  		
	$cf.="\$config_perpage = '".$config_perpage."';\n";  		
	$cf.="\$config_charset = '".$config_charset."';\n";  	
	$cf.="\$config_mailcharset = '".$config_mailcharset."';\n";  			
	$cf.="\$config_enabledownload = '".$config_enabledownload."';\n";	
	$cf.="\$config_userdirbox = '".$config_userdirbox."';\n";		
	$cf.="\$config_inboxlimit = '".$config_inboxlimit."';\n";		
	$cf.="\$config_showinboxlimit = '".$config_showinboxlimit."';\n";				
	$cf.="\$config_heaven = '".$config_heaven."'; // do not touch!\n";					
	$cf.="\$config_allowpopup = '".$config_allowpopup."'; // do not touch!\n";			
	$cf.="\$config_allowbb = '".$config_allowbb."';\n";	
	$cf.="\$config_allowsmile = '".$config_allowsmile."';\n";		
	$cf.="\$config_showmenuicons = '".$config_showmenuicons."';\n";					
	$cf.="\$config_showtitle = '".$config_showtitle."';\n";			
	$cf.="\$config_showconnex = '".$config_showconnex."';\n";			
	$cf.="\$config_showsettingslink = '".$config_showsettingslink."';\n";				
	$cf.="\$config_templatedir = '".$config_templatedir."';\n";					
	$cf.="\$config_showabout = '".$config_showabout."';\n";				
	$cf.="\$config_emailtrafficenabled = '".$config_emailtrafficenabled."';\n";
	$cf.="\$config_getpiclink = '".$config_getpiclink."';\n";	
	$cf.="\$config_quotedivider = '".$config_quotedivider."';\n";	
	$cf.="\$config_realnames = '".$config_realnames."';\n";	
	$cf.="\$config_connex_listbox = '".$config_connex_listbox."';\n";	
	$cf.="\$config_forgetmenotstart = '".$config_forgetmenotstart."';\n";		
	$cf.="?>\n";

	if ($schreibkanal = fopen("$configdatei", "w")) {
    	fputs($schreibkanal, $cf, strlen($cf));
	    fclose ($schreibkanal);
	}

// Now write a welcome message to the Admin
global $my;
if($my->id) {
	global $mosConfig_offset;
	$rightnow=time()+($mosConfig_offset*3600); 
	$welcome_time=$rightnow;
	$welcome_message="Welcome to uddeIM 0.5!\n\nYou have succesfully installed uddeIM.\n\nTry viewing this message with different templates. You can set them in the administration backend of uddeIM.\n\nuddeIM is a project in development. If you find bugs or weaknesses, please write them to me so that we can make uddeIM better together.\n\nGood luck and have fun!\nBenjamin";
	$welcome_user="uddeIM";
	$sql="INSERT INTO #__uddeim (fromid, toid, toread, message, datum, disablereply, systemmessage, archived) VALUES (".$my->id.", ".$my->id.", 0, '".$welcome_message."', ".$welcome_time.", 1, '".$welcome_user."', 0)";
$database->setQuery($sql);
	if (!$database->query()) {
		die("SQL error when attempting to save a message" . $database->stderr(true));
	}	
}

	
	
// is the correct lang file installed?
$langinfo="";
$langfile_ver="";
$langfile_exists=0;
if (file_exists('components/com_uddeim/language/'.$mosConfig_lang.'.php')) {
	include('components/com_uddeim/language/'.$mosConfig_lang.'.php');
	$langfile_exists=1;
	if (defined('_UDDEIM_COMPOSE')) {
		$langfile_ver="0.5";
		$compaa=_UDDEIM_COMPOSE;
		$compab="Compose";
		$compba=_UDDEIM_SHOWUSERS;
		$compbb="Show users";
		if (($compaa==$compab || $compba==$compbb) && $mosConfig_lang!="english") {
			$langfile_ver="0.4+";
		}
	}
}

if(!$langfile_exists) {
	$langinfo="<p>There is no <b>".ucfirst($mosConfig_lang)."</b> language file installed. uddeIM will use English.</p>";
}

if($langfile_exists && !$langfile_ver) {
	$langinfo="<p style='background-color: #ffaaaa;'>Your <b>".ucfirst($mosConfig_lang)."</b> language file is not compatible with uddeIM 0.5. You should open <i>english.php</i>, look for any strings that are not present in your language file, copy them to <i>".$mosConfig_lang.".php</i> and translate them. Alternatively, you can delete <i>".$mosConfig_lang.".php</i> from <i>administrator/components/com_uddeim/language</i>. This will make uddeIM use English.</p>";
}

if($langfile_ver=="0.4+") {
	$langinfo="<p style='background-color: #ffaaaa;'>Some of the strings in your <b>".ucfirst($mosConfig_lang)."</b> language file are still in English. Please open <i>".$mosConfig_lang.".php</i> in <i>administrator/components/com_uddeim/language</i> and translate the new strings (they are probably starting at line #420 in that file and are marked as \"0.5 frontend\".</p>";
}


if (file_exists('includes/joomla.php')) {
	$cms_name="Joomla"; 
} else {
	$cms_name="Mambo";
}

echo "<div style='width: 360px; text-align: left;'>";
echo "<p><b>uddeIM configuration complete.</b></p>";
echo $langinfo;
echo "<p>Please continue to the administration backend and check the settings.</p>";
echo "<ul>";
echo "<li>If you are running ".$cms_name." in a character set other than ISO 8859-1 make sure to adjust the settings accordingly.</li>";
echo "<li>After installation, all uddeIM e mail traffic (e-mail-notifications, fotgetmenot emails) is disabled so that no e-mails go out as long as you are testing. Don't forget to uncheck the 'stop email' option in the backend when you're finished.</li>";
echo "</ul>";

// redirect to settings
echo "<p>";
echo "<a href='index2.php?option=com_uddeim'>Continue</a>";
echo "</p>";
echo "</div>";

}
?>